Tp::BaseChannelGroupInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Tp::BaseChannelGroupInterface Class Reference
Connection manager service implementation

Base class for implementations of Channel.Interface.Group. More...

`#include <TelepathyQt/BaseChannel>`

Inherits Tp::AbstractChannelInterface.

## Public Types
typedef Callback3< void, const Tp::UIntList &, const QString &, DBusError * > | RemoveMembersCallback
typedef Callback3< void, const Tp::UIntList &, const QString &, DBusError * > | AddMembersCallback

## Public Member Functions
virtual | ~BaseChannelGroupInterface ()
QVariantMap | immutableProperties () const
void | setRemoveMembersCallback (const RemoveMembersCallback &cb)
void | setAddMembersCallback (const AddMembersCallback &cb)
void | addMembers (const Tp::UIntList &handles, const QStringList &identifiers)
void | removeMembers (const Tp::UIntList &handles)
Public Member Functions inherited from Tp::AbstractChannelInterface
| AbstractChannelInterface (const QString &interfaceName)
virtual | ~AbstractChannelInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions
static BaseChannelGroupInterfacePtr | create (ChannelGroupFlags initialFlags, uint selfHandle)
template<typename BaseChannelGroupInterfaceSubclass >
static SharedPtr < BaseChannelGroupInterfaceSubclass > | create (ChannelGroupFlags initialFlags, uint selfHandle)

## Additional Inherited Members
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)
Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Detailed Description

Base class for implementations of Channel.Interface.Group.

## Member Typedef Documentation

typedef Callback3<void, const Tp::UIntList&, const QString&, DBusError*> Tp::BaseChannelGroupInterface::RemoveMembersCallback

typedef Callback3<void, const Tp::UIntList&, const QString&, DBusError*> Tp::BaseChannelGroupInterface::AddMembersCallback

## Constructor & Destructor Documentation

Tp::BaseChannelGroupInterface::~BaseChannelGroupInterface | ( |  | ) |
| virtual

Class destructor.

## Member Function Documentation

static BaseChannelGroupInterfacePtr Tp::BaseChannelGroupInterface::create | ( | ChannelGroupFlags | initialFlags,
|  | uint | selfHandle
| ) |  |
| inlinestatic

template<typename BaseChannelGroupInterfaceSubclass >

static SharedPtr<BaseChannelGroupInterfaceSubclass> Tp::BaseChannelGroupInterface::create | ( | ChannelGroupFlags | initialFlags,
|  | uint | selfHandle
| ) |  |
| inlinestatic

QVariantMap Tp::BaseChannelGroupInterface::immutableProperties | ( |  | ) | const
| virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

void Tp::BaseChannelGroupInterface::setRemoveMembersCallback | ( | const RemoveMembersCallback & | cb | ) |

void Tp::BaseChannelGroupInterface::setAddMembersCallback | ( | const AddMembersCallback & | cb | ) |

void Tp::BaseChannelGroupInterface::addMembers | ( | const Tp::UIntList & | handles,
|  | const QStringList & | identifiers
| ) |  |

void Tp::BaseChannelGroupInterface::removeMembers | ( | const Tp::UIntList & | handles | ) |